import Taro from "@tarojs/taro";

const KET = 'SELECT_DEP'
const KET_REQUIRED = 'SELECT_REQUIRED'

/** 部门 */
function set(data: number[]) {
  Taro.setStorageSync(KET, data)
}


function get(): number[] {
  const deps = Taro.getStorageSync(KET)
  if (deps && deps.length) {
    removeDeps()
    return deps
  }
  return []
}


function removeDeps() {
  Taro.removeStorageSync(KET)
}

/** 必修选修 */
function removeRequired() {
  Taro.removeStorageSync(KET_REQUIRED)
}

function setRequired(data: number[]) {
  Taro.setStorageSync(KET_REQUIRED, data)
}


/** getRequired 比 set后调用 */
function getRequired(): (0 | 1)[] {
  const deps = Taro.getStorageSync(KET_REQUIRED)
  if (deps && deps.length) {
    removeRequired()
    return deps
  }
  return []
}

function remove() {
  removeRequired()
  removeDeps()
}

export default {
  set,
  get,
  remove,
  setRequired,
  getRequired
}
